Loading ...
Sorry, an error occurred while loading the content.

72338Re: PERL fails to build

Expand Messages
  • John Little
    Jul 18, 2013
    • 0 Attachment
      On Friday, July 19, 2013 4:22:57 AM UTC+12, def...@... wrote:
      > Failed to load or import from ExtUtils::ParseXS (version 2.18). Please check that ExtUtils::ParseXS is installed correctly and that the newest version will be found in your @INC path: "report_error_count" is not exported by the ExtUtils::ParseXS module

      I get a similar error on linux:
      Undefined subroutine &ExtUtils::ParseXS::errors called at /usr/share/perl/5.14/ExtUtils/xsubpp line 41.

      It's caused by a mismatch between perl in my distro (Kubuntu 13.04) and my local perl install in ~/perl5; the error handling in ExtUtils::ParseXS changed slightly. I've never bothered fixing it, because the writing of if_perl.c has in fact succeeded, so running "make" again carries on with the build. Perhaps that work around will work for you?

      Regards, John Little

      --
      --
      You received this message from the "vim_dev" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php

      ---
      You received this message because you are subscribed to the Google Groups "vim_dev" group.
      To unsubscribe from this group and stop receiving emails from it, send an email to vim_dev+unsubscribe@....
      For more options, visit https://groups.google.com/groups/opt_out.
    • Show all 2 messages in this topic